## EmpathyContact

EmpathyContact

## Synopsis

                        EmpathyContact;
    enum                EmpathyCapabilities;
    EmpathyContact*     empathy_contact_new                 (McAccount *account);
    EmpathyContact*     empathy_contact_new_full            (McAccount *account,
                                                             const gchar *id,
                                                             const gchar *name);
    const gchar*        empathy_contact_get_id              (EmpathyContact *contact);
    void                empathy_contact_set_id              (EmpathyContact *contact,
                                                             const gchar *id);
    const gchar*        empathy_contact_get_name            (EmpathyContact *contact);
    void                empathy_contact_set_name            (EmpathyContact *contact,
                                                             const gchar *name);
    EmpathyAvatar*      empathy_contact_get_avatar          (EmpathyContact *contact);
    void                empathy_contact_set_avatar          (EmpathyContact *contact,
                                                             EmpathyAvatar *avatar);
    McAccount*          empathy_contact_get_account         (EmpathyContact *contact);
    void                empathy_contact_set_account         (EmpathyContact *contact,
                                                             McAccount *account);
    EmpathyPresence*    empathy_contact_get_presence        (EmpathyContact *contact);
    void                empathy_contact_set_presence        (EmpathyContact *contact,
                                                             EmpathyPresence *presence);
    guint               empathy_contact_get_handle          (EmpathyContact *contact);
    void                empathy_contact_set_handle          (EmpathyContact *contact,
                                                             guint handle);
    EmpathyCapabilities empathy_contact_get_capabilities    (EmpathyContact *contact);
    void                empathy_contact_set_capabilities    (EmpathyContact *contact,
                                                             EmpathyCapabilities capabilities);
    gboolean            empathy_contact_is_user             (EmpathyContact *contact);
    void                empathy_contact_set_is_user         (EmpathyContact *contact,
                                                             gboolean is_user);
    gboolean            empathy_contact_is_online           (EmpathyContact *contact);
    const gchar*        empathy_contact_get_status          (EmpathyContact *contact);
    gboolean            empathy_contact_can_voip            (EmpathyContact *contact);
    gboolean            empathy_contact_equal               (gconstpointer v1,
                                                             gconstpointer v2);
    guint               empathy_contact_hash                (gconstpointer key);

## Object Hierarchy

      GObject
       +----EmpathyContact

## Properties

      "account"                  McAccount             : Read / Write
      "avatar"                   EmpathyAvatar         : Read / Write
      "capabilities"             EmpathyCapabilities   : Read / Write
      "handle"                   guint                 : Read / Write
      "id"                       gchararray            : Read / Write
      "is-user"                  gboolean              : Read / Write
      "name"                     gchararray            : Read / Write
      "presence"                 EmpathyPresence       : Read / Write

## Description

## Details

### EmpathyContact

    typedef struct _EmpathyContact EmpathyContact;

### enum EmpathyCapabilities

    typedef enum {
    	EMPATHY_CAPABILITIES_AUDIO = 1 << 0,
    	EMPATHY_CAPABILITIES_VIDEO = 1 << 1,
    } EmpathyCapabilities;

### empathy_contact_new ()

    EmpathyContact*     empathy_contact_new                 (McAccount *account);

`account` : |
Returns : |

### empathy_contact_new_full ()

    EmpathyContact*     empathy_contact_new_full            (McAccount *account,
                                                             const gchar *id,
                                                             const gchar *name);

`account` : |
`id` : |
`name` : |
Returns : |

### empathy_contact_get_id ()

    const gchar*        empathy_contact_get_id              (EmpathyContact *contact);

`contact` : |
Returns : |

### empathy_contact_set_id ()

    void                empathy_contact_set_id              (EmpathyContact *contact,
                                                             const gchar *id);

`contact` : |
`id` : |

### empathy_contact_get_name ()

    const gchar*        empathy_contact_get_name            (EmpathyContact *contact);

`contact` : |
Returns : |

### empathy_contact_set_name ()

    void                empathy_contact_set_name            (EmpathyContact *contact,
                                                             const gchar *name);

`contact` : |
`name` : |

### empathy_contact_get_avatar ()

    EmpathyAvatar*      empathy_contact_get_avatar          (EmpathyContact *contact);

`contact` : |
Returns : |

### empathy_contact_set_avatar ()

    void                empathy_contact_set_avatar          (EmpathyContact *contact,
                                                             EmpathyAvatar *avatar);

`contact` : |
`avatar` : |

### empathy_contact_get_account ()

    McAccount*          empathy_contact_get_account         (EmpathyContact *contact);

`contact` : |
Returns : |

### empathy_contact_set_account ()

    void                empathy_contact_set_account         (EmpathyContact *contact,
                                                             McAccount *account);

`contact` : |
`account` : |

### empathy_contact_get_presence ()

    EmpathyPresence*    empathy_contact_get_presence        (EmpathyContact *contact);

`contact` : |
Returns : |

### empathy_contact_set_presence ()

    void                empathy_contact_set_presence        (EmpathyContact *contact,
                                                             EmpathyPresence *presence);

`contact` : |
`presence` : |

### empathy_contact_get_handle ()

    guint               empathy_contact_get_handle          (EmpathyContact *contact);

`contact` : |
Returns : |

### empathy_contact_set_handle ()

    void                empathy_contact_set_handle          (EmpathyContact *contact,
                                                             guint handle);

`contact` : |
`handle` : |

### empathy_contact_get_capabilities ()

    EmpathyCapabilities empathy_contact_get_capabilities    (EmpathyContact *contact);

`contact` : |
Returns : |

### empathy_contact_set_capabilities ()

    void                empathy_contact_set_capabilities    (EmpathyContact *contact,
                                                             EmpathyCapabilities capabilities);

`contact` : |
`capabilities` : |

### empathy_contact_is_user ()

    gboolean            empathy_contact_is_user             (EmpathyContact *contact);

`contact` : |
Returns : |

### empathy_contact_set_is_user ()

    void                empathy_contact_set_is_user         (EmpathyContact *contact,
                                                             gboolean is_user);

`contact` : |
`is_user` : |

### empathy_contact_is_online ()

    gboolean            empathy_contact_is_online           (EmpathyContact *contact);

`contact` : |
Returns : |

### empathy_contact_get_status ()

    const gchar*        empathy_contact_get_status          (EmpathyContact *contact);

`contact` : |
Returns : |

### empathy_contact_can_voip ()

    gboolean            empathy_contact_can_voip            (EmpathyContact *contact);

`contact` : |
Returns : |

### empathy_contact_equal ()

    gboolean            empathy_contact_equal               (gconstpointer v1,
                                                             gconstpointer v2);

`v1` : |
`v2` : |
Returns : |

### empathy_contact_hash ()

    guint               empathy_contact_hash                (gconstpointer key);

`key` : |
Returns : |

## Property Details

### The "`account`" property

      "account"                  McAccount             : Read / Write

The account associated with the contact.

### The "`avatar`" property

      "avatar"                   EmpathyAvatar         : Read / Write

The avatar image.

### The "`capabilities`" property

      "capabilities"             EmpathyCapabilities   : Read / Write

Capabilities of the contact.

### The "`handle`" property

      "handle"                   guint                 : Read / Write

The handle of the contact.

Default value: 0

### The "`id`" property

      "id"                       gchararray            : Read / Write

String identifying contact.

Default value: NULL

### The "`is-user`" property

      "is-user"                  gboolean              : Read / Write

Is contact the user.

Default value: FALSE

### The "`name`" property

      "name"                     gchararray            : Read / Write

The name of the contact.

Default value: NULL

### The "`presence`" property

      "presence"                 EmpathyPresence       : Read / Write

Presence of contact.